Skip to content
PATCH

Update customer addresses

https://api.kustom.co/ordermanagement/v1/orders/{order_id}/customer-details

Update shipping address. Read more on Updating customer addresses

Parameters2 fields
  • order_idstring · uuidrequiredin path

    Order id

  • Klarna-Idempotency-Keystringoptionalin header

    This header will guarantee the idempotency of the operation. The key should be unique and is recommended to be a UUID version 4. Retries of requests are safe to be applied in case of errors such as network errors, socket errors and timeouts. Input values of the operation are disregarded when evaluating the idempotency of the operation, only the key matters.

Request body14 fields
  • shipping_addressobjectoptional

    Shipping address for the capture.

    13 fields in shipping_address
    • attentionstringoptional

      ‘Attn.’ - optional parameter.

    • citystringoptional

      City.

    • countrystringoptional

      Country. ISO 3166 alpha-2.

    • emailstringoptional

      E-mail address.

    • family_namestringoptional

      Family name.

    • given_namestringoptional

      Given name.

    • organization_namestringoptional

      Organization name (if applicable). Only applicable for B2B customers.

    • phonestringoptional

      Phone number.

    • postal_codestringoptional

      Postcode. Validation according to Universal Postal Union addressing system.

    • regionstringoptional

      State/Region. Required for US.

    • street_addressstringoptional

      First line of street address. Validation according to Universal Postal Union addressing system

    • street_address2stringoptional

      Second line of street address.

    • titlestringoptional

      Title.

204
Response0 fields

Order consumer details were updated.

No response body — this status returns headers only.

403
Response3 fields

Update customer details not allowed. Decision is based on order state and outcome of risk assessment. Billing address cannot be updated.

  • correlation_idstringoptional

    Correlation id. For searching logs.

  • error_codestringoptional

    Error code

  • error_messages[]array<string>optional

    Error messages

404
Response3 fields

Not Found

  • correlation_idstringoptional
  • error_codestringoptional
    • INTERNAL_ERROR
    • NOT_FOUND
    • TOO_MANY_REQUESTS
    • REFUND_NOT_ALLOWED
    • CAPTURE_NOT_ALLOWED
    • CANCEL_NOT_ALLOWED
    • UPDATE_NOT_ALLOWED
    • NO_SUCH_ORDER
    • BAD_REQUEST
    • PAYLOAD_TOO_LARGE
    • NO_SUCH_CAPTURE
    • RESOURCE_NOT_FOUND
    • +4 more
  • error_messages[]array<string>optional
409
Response0 fields

Conflict

No response body — this status returns headers only.

Errors

CodeStatusWhat it meansRetry
UPDATE_NOT_ALLOWED403The order's state or risk assessment does not allow changing its amount or address. Needs AUTHORIZED.Never retry

This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.